Bug 1575865 - gchem3d and gcrystal does not start on wayland session
Summary: gchem3d and gcrystal does not start on wayland session
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-chemistry-utils
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 06:29 UTC by Basil Eric Rabi
Modified: 2021-03-27 08:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Debian BTS 887117 0 None None None 2018-05-20 10:20:53 UTC
GNU Savannah 52881 0 None None None 2018-05-20 10:20:07 UTC

Description Basil Eric Rabi 2018-05-08 06:29:59 UTC
Description of problem:
gchem3d and gcrystal does not start

Version-Release number of selected component (if applicable):
gnome-chemistry-utils-0.14.17-11.fc28.x86_64

How reproducible:
always

Comment 1 Ben Cotton 2019-05-02 21:44:14 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Basil Eric Rabi 2021-03-27 03:58:56 UTC
There seems to be a packaging patch for debian (https://salsa.debian.org/debichem-team/gnome-chemistry-utils/-/commit/694931319167f1e9317a3791281491610993b60b) to prevent crashing.

Comment 3 Julian Sikorski 2021-03-27 08:35:01 UTC
All this patch does is setting GDK_BACKEND=x11 before launching. Could you please test if it works for you? I was not having much success.

Comment 4 Basil Eric Rabi 2021-03-27 08:59:59 UTC
Yes. Running `GDK_BACKEND=x11 gcrystal` and `GDK_BACKEND=x11 gchem3d` in the terminal works for me.


Note You need to log in before you can comment on or make changes to this bug.